> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/editors/tagtextbox/wisej.web.tagtextboxrendereventargs.md).

# TagTextBoxRenderEventArgs

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

* [TagTextBoxEventArgs](/api/wisej.web/editors/tagtextbox/wisej.web.tagtextboxeventargs.md)
  * [TagTextBoxRenderEventArgs](/api/wisej.web/editors/tagtextbox/wisej.web.tagtextboxrendereventargs.md)

Provides data for the [TagRender](/api/wisej.web/editors/tagtextbox.md#tagrender) event of a [TagTextBox](/api/wisej.web/editors/tagtextbox.md) control.

{% tabs %}
{% tab title="C#" %}

```csharp
public class TagTextBoxRenderEventArgs : TagTextBoxEventArgs
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class TagTextBoxRenderEventArgs
    Inherits TagTextBoxEventArgs
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/hsR4ok3152WyAf8J2C1u) TagTextBoxRenderEventArgs(text, index)

Initializes a new instance of the [TagTextBoxRenderEventArgs](/api/wisej.web/editors/tagtextbox/wisej.web.tagtextboxrendereventargs.md) class.

| Name      | Type                                                          | Description                              |
| --------- | ------------------------------------------------------------- | ---------------------------------------- |
| **text**  | [String](https://docs.microsoft.com/dotnet/api/system.string) | Text of the tag that is being rendered.  |
| **index** | [Int32](https://docs.microsoft.com/dotnet/api/system.int32)   | Index of the tag that is being rendered. |

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) BackColor

[Color](https://docs.microsoft.com/dotnet/api/system.drawing.color): Allows the application to change the background color of the tag displayed on the client.

### ![](/files/hsR4ok3152WyAf8J2C1u) ForeColor

[Color](https://docs.microsoft.com/dotnet/api/system.drawing.color): Allows the application to change the color of the text in the tag displayed on the client.

### ![](/files/hsR4ok3152WyAf8J2C1u) Html

[String](https://docs.microsoft.com/dotnet/api/system.string): Allows the application set the HTML to display in the tag instead of displaying the text.

## Used By

| Name                                                                                                        | Description                                                                                                                                                                   |
| ----------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [TagTextBoxRenderEventHandler](/api/wisej.web/editors/tagtextbox/wisej.web.tagtextboxrendereventhandler.md) | Represents the method that will handle the [TagRender](/api/wisej.web/editors/tagtextbox.md#tagrender) event of a [TagTextBox](/api/wisej.web/editors/tagtextbox.md) control. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/editors/tagtextbox/wisej.web.tagtextboxrendereventargs.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
